#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './subversioncheckout.ui'
**
** Created: 2012-07-09T16:47:45
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "subversioncheckout.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <kurlrequester.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SubversionCheckout as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
SubversionCheckout::SubversionCheckout( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "SubversionCheckout" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setSizeGripEnabled( TRUE );
    SubversionCheckoutLayout = new QVBoxLayout( this, 11, 6, "SubversionCheckoutLayout"); 

    tqlayout8 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout8"); 

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    tqlayout8->addLayout( Layout1, 2, 0 );

    url = new KURLRequester( this, "url" );
    url->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, url->sizePolicy().hasHeightForWidth() ) );

    tqlayout8->addWidget( url, 0, 0 );

    tqlayout4 = new QHBoxLayout( 0, 0, 6, "tqlayout4"); 

    textLabel1 = new QLabel( this, "textLabel1" );
    tqlayout4->addWidget( textLabel1 );
    spacer2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout4->addItem( spacer2 );

    revision = new QSpinBox( this, "revision" );
    revision->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, revision->sizePolicy().hasHeightForWidth() ) );
    tqlayout4->addWidget( revision );

    tqlayout8->addLayout( tqlayout4, 1, 0 );
    SubversionCheckoutLayout->addLayout( tqlayout8 );
    languageChange();
    resize( QSize(498, 133).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SubversionCheckout::~SubversionCheckout()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SubversionCheckout::languageChange()
{
    setCaption( tr2i18n( "Subversion Checkout" ) );
    buttonHelp->setText( tr2i18n( "&Help" ) );
    buttonHelp->setAccel( QKeySequence( tr2i18n( "F1" ) ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    textLabel1->setText( tr2i18n( "Revision (0 for HEAD):" ) );
}

#include "subversioncheckout.moc"
